> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Twilio Auth

> Create a new twilio auth



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/channel/twilio
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/channel/twilio:
    post:
      tags:
        - Channel
      summary: Create Twilio Auth
      description: Create a new twilio auth
      operationId: create_twilio_auth_api_v1_channel_twilio_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ITwilloAuthCreate'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_ITwilloAuthCreate_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    ITwilloAuthCreate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        twilio_account_sid:
          anyOf:
            - type: string
            - type: 'null'
          title: Twilio Account Sid
        twilio_auth_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Twilio Auth Token
      type: object
      required:
        - name
        - twilio_account_sid
        - twilio_auth_token
      title: ITwilloAuthCreate
    IPostResponseBase_ITwilloAuthCreate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/ITwilloAuthCreate'
            - type: 'null'
      type: object
      title: IPostResponseBase[ITwilloAuthCreate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````